---
title: SpeechRecognitionError
slug: Web/API/SpeechRecognitionError
tags:
  - API
  - Experimental
  - Interface
  - Reference
  - SpeechRecognitionError
  - Web Speech API
  - recognition
  - speech
---
<p>{{APIRef("Web Speech API")}}{{obsolete_header}}</p>

<p>The <strong><code>SpeechRecognitionError</code></strong> interface of the <a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a> represents error messages from the recognition service.</p>

<div class="notecard note">
<p>This <code>SpeechRecognitionError</code> interface was renamed to {{domxref("SpeechRecognitionErrorEvent")}} in the Web Speech API specification.</p>
</div>

<h2 id="Properties">Properties</h2>

<p><em><code>SpeechRecognitionError</code> also inherits properties from its parent interface, {{domxref("Event")}}.</em></p>

<dl>
 <dt>{{domxref("SpeechRecognitionError.error")}} {{readonlyinline}}</dt>
 <dd>Returns the type of error raised.</dd>
 <dt>{{domxref("SpeechRecognitionError.message")}} {{readonlyinline}}</dt>
 <dd>Returns a message describing the error in more detail.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var recognition = new SpeechRecognition();

recognition.onerror = function(event) {
  console.log('Speech recognition error detected: ' + event.error);
  console.log('Additional information: ' + event.message);
}</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SpeechRecognitionError")}}</p>
</div>

<h3 id="Firefox_OS_permissions">Firefox OS permissions</h3>

<p>To use speech recognition in an app, you need to specify the following permissions in your <a href="/en-US/docs/Web/Apps/Build/Manifest">manifest</a>:</p>

<pre class="brush: json">"permissions": {
  "audio-capture" : {
    "description" : "Audio capture"
  },
  "speech-recognition" : {
    "description" : "Speech recognition"
  }
}</pre>

<p>You also need a privileged app, so you need to include this as well:</p>

<pre class="brush: json">  "type": "privileged"</pre>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
</ul>
